## ceilometer 2015.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying>=1.2.3,!=1.3.0 # Apache-2.0
alembic>=0.7.2
croniter>=0.3.4 # MIT License
eventlet>=0.16.1,!=0.17.0
iso8601>=0.1.9
jsonpath-rw>=1.2.0,<2.0
jsonschema>=2.0.0,<3.0.0
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware>=1.5.0,<1.6.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
PasteDeploy>=1.5.0
pbr>=0.6,!=0.7,<1.0
pecan>=0.8.0
posix_ipc
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
pysnmp>=4.2.1,<5.0.0
python-ceilometerclient>=1.0.13,<1.1.0
python-glanceclient>=0.15.0,<0.18.0
python-keystoneclient>=1.1.0,<1.4.0
python-neutronclient>=2.3.11,<2.5.0
python-novaclient>=2.22.0,<2.24.0
python-swiftclient>=2.2.0,<2.5.0
pytz>=2013.6
PyYAML>=3.1.0
requests>=2.2.0,!=2.4.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
tooz>=0.13.1,<0.14.0 # Apache-2.0
Werkzeug>=0.7  # BSD License
WebOb>=1.2.3
WSME>=0.6

=== debian/changelog ===
ceilometer (2015.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 12:26:08 +0200

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     mongodb,
                     python-awsauth,
                     python-babel,
                     python-ceilometerclient (>= 1.0.13),
                     python-coverage,
                     python-croniter,
                     python-elasticsearch (>= 1.3.0),
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-gabbi (>= 0.12.0),
                     python-glanceclient (>= 1:0.15.0),
                     python-hacking,
                     python-happybase,
                     python-httplib2,
                     python-iso8601,
                     python-jsonpath-rw,
                     python-jsonschema,
                     python-kafka,
                     python-keystoneclient (>= 1:1.1.0),
                     python-keystonemiddleware (>= 1.5.0),
                     python-kombu (>= 2.4.8),
                     python-lxml,
                     python-migrate (>= 0.9.5),
                     python-mock,
                     python-msgpack,
                     python-mysqldb,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 2:2.22.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.policy (>= 0.3.1),
                     python-oslo.rootwrap (>= 1.6.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslo.vmware (>= 0.11.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-pastedeploy,
                     python-pecan (>= 0.8.0),
                     python-posix-ipc,
                     python-psycopg2,
                     python-pymongo,
                     python-pysnmp4,
                     python-requests,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-docbookrestapi,
                     python-sphinxcontrib-httpdomain,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools,
                     python-tooz (>= 0.13.1),
                     python-tz,
                     python-webob,
                     python-werkzeug,
                     python-wsme,
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.7.2),
         libjs-jquery,
         python-ceilometerclient (>= 1.0.13),
         python-croniter,
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-greenlet (>= 0.4),
         python-iso8601,
         python-jsonpath-rw,
         python-jsonschema,
         python-kafka,
         python-keystoneclient (>= 1:1.1.0),
         python-keystonemiddleware (>= 1.5.0),
         python-kombu (>= 2.4.8),
         python-lxml,
         python-migrate (>= 0.9.5),
         python-msgpack,
         python-mysqldb,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.policy (>= 0.3.1),
         python-oslo.rootwrap (>= 1.6.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-pbr,
         python-pastedeploy,
         python-pecan (>= 0.8.0),
         python-posix-ipc,
         python-pymongo,
         python-pysnmp4,
         python-requests,
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-swiftclient,
         python-tooz (>= 0.13.1),
         python-tz,
         python-webob,
         python-werkzeug,
         python-wsme,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides}
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the central agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm notifier daemon.

Package: ceilometer-agent-notification
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - agent notification
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,systemd

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -rf ceilometer.egg-info
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	dh_install --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	oslo-config-generator --output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--namespace ceilometer \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token
	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	chmod 0644 $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/ceilometer|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/*.upstart
	rm -rf debian/ceilometer-common.postinst
	find . -iname '*.pyc' -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!.*test_bin.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

## ceilometer 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
alembic<0.8.1,>=0.7.2
croniter>=0.3.4 # MIT License
eventlet!=0.17.0,>=0.16.1
iso8601>=0.1.9
jsonpath-rw<2.0,>=1.2.0
jsonschema<3.0.0,>=2.0.0
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware<1.6.0,>=1.5.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context<0.3.0,>=0.2.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.policy<0.4.0,>=0.3.1 # Apache-2.0
oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr!=0.7,<1.0,>=0.6
pecan>=0.8.0
posix-ipc
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.1
python-ceilometerclient<1.2,>=1.1.1
python-glanceclient<0.18.0,>=0.15.0
python-keystoneclient<1.4.0,>=1.2.0
python-neutronclient<2.5.0,>=2.4.0
python-novaclient<2.24.0,>=2.22.0
python-swiftclient<2.5.0,>=2.2.0
pytz>=2013.6
PyYAML>=3.1.0
requests!=2.4.0,>=2.2.0
six>=1.9.0
SQLAlchemy<=0.9.99,>=0.9.7
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
stevedore<1.4.0,>=1.3.0 # Apache-2.0
tooz<0.14.0,>=0.13.1 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME<0.7,>=0.6

=== debian/changelog ===
ceilometer (2015.1.2-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-requirements.patch: Revert requirements bumps that occurred
    to oslo.concurrency, python-ceilometerclient, and python-neutronclient
    during stable point release of kilo (2015.1.2). (LP: #1515409).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Nov 2015 08:48:08 -0500

ceilometer (2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (74841ad) (LP: #1506058):
    - [74841ad] Requeuing event with workload_partitioning on publish
                failure
    - [10305c0] Prevent ceilometer expirer from causing deadlocks
    - [1084de3] Coordinator handles ToozError when joining group
    - [850ce95] fix command ceilometer event-list -q error
    - [3592176] instance:<type> meter is ignored
    - [c93ca91] Fix meter name for identity.OS-TRUST:trust.* events
    - [bec2e27] Keep the instance_type meta from polling and notification
                consistent
    - [268c803] postgres isolation level produces inconsistent reads
    - [f28b0c4] Fix alarm rest notifier logging to include severity
    - [f80cfd6] Add Kilo release note reference
    - [220c1d0] Update alarm history only if change in alarm property

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2015 09:58:57 -0400

ceilometer (2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/p/disable-kafka.patch: Mocked KafkaBrokerPublisher.
    - d/p/skip-rgw-tests.patch: Mocked rgw, rgw_client, RGWAdminAPIFailed,
      and RGWAdminClient.
    - d/control: Add python-awsauth as Suggested.

 -- David Ames <david.ames@canonical.com>  Wed, 05 Aug 2015 16:09:41 -0700

ceilometer (2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (e7c2286) (LP: #1481008):
    - [6ea8dd1] Handle database failures on api startup
    - [95ff1fc] Mask database.event_connection details in logs
    - [b28a8bb] Fix the meter unit types to be consistent
    - [023cfd1] api: record severity change in alarm history
    - [349be3d] [elasticsearch] default trait type to string
    - [f200c54] Fixes DiskInfoPollster AttributeError exception
    - [76dc5d8] Update a test to properly anticipate HTTP 405 for RestController
    - [77b1fb5] Fixing event types pattern for Role Noti. handler
    - [e7c2286] stop mocking os.path in test_setup_events_default_config
  * d/p/disable-kafka.patch: Rebased.

 -- David Ames <david.ames@canonical.com>  Mon, 03 Aug 2015 13:37:56 -0700

## ceilometer 2015.1.4

=== requirements.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 python-swiftclient<2.5.0,>=2.2.0
 pytz>=2013.6
 PyYAML>=3.1.0
-requests!=2.4.0,>=2.2.0
+requests!=2.4.0,<2.8.0,>=2.2.0
 six>=1.9.0
 SQLAlchemy<=0.9.99,>=0.9.7
 sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5

=== debian/changelog ===
ceilometer (2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 16:58:40 -0400

ceilometer (2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:57:51 +0000

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 alembic (>= 0.7.2),
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 pylint (>= 1.3.0),
 python-alembic (>= 0.7.2),
 python-all (>= 2.6),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-ceilometerclient (>= 1.0.13),
 python-coverage (>= 3.6),
 python-croniter (>= 0.3.4),
 python-docutils,
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.15.0),
 python-hacking (>= 0.10.0),
 python-happybase (>= 0.5),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.5),
 python-mock (>= 1.0),
 python-mox (>= 0.5.3),
 python-msgpack (>= 0.4.0),
 python-mysqldb,
 python-neutronclient (>= 1:2.3.11),
 python-nose,
 python-novaclient (>= 1:2.22.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslo-vmware (>= 0.11.1),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pecan (>= 0.8.0),
 python-posix-ipc,
 python-psycopg2,
 python-pymongo (>= 2.5),
 python-pysnmp4 (>= 4.2.1),
 python-requests (>= 2.2.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-subunit (>= 0.0.18),
 python-swiftclient (>= 1:2.2.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-tooz (>= 0.13.1),
 python-tz (>= 2013.6),
 python-webob (>= 1.2.3),
 python-werkzeug (>= 0.7),
 python-wsme (>= 0.6),
 python-yaml (>= 3.1.0),
 subunit,
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/kilo

Package: python-ceilometer
Architecture: all
Depends:
 alembic (>= 0.7.2),
 python-alembic (>= 0.7.2),
 python-anyjson (>= 0.3.3),
 python-ceilometerclient (>= 1.0.13),
 python-croniter (>= 0.3.4),
 python-eventlet (>= 0.16.1),
 python-glanceclient (>= 1:0.15.0),
 python-iso8601 (>= 0.1.9),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.5),
 python-msgpack (>= 0.4.0),
 python-neutronclient (>= 1:2.3.11),
 python-novaclient (>= 1:2.22.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-context (>= 0.2.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pecan (>= 0.8.0),
 python-posix-ipc,
 python-pysnmp4 (>= 4.2.1),
 python-retrying (>= 1.2.3),
 python-requests (>= 2.2.0),
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-swiftclient (>= 1:2.2.0),
 python-tooz (>= 0.13.1),
 python-tz (>= 2013.6),
 python-webob (>= 1.2.3),
 python-werkzeug (>= 0.7),
 python-wsme (>= 0.6),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-awsauth
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer alarm evaluator
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			testr run --subunit 'tests\.(?!.*test_bin.*)(?!.*test_gabbi.*)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ 
endif

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	oslo-config-generator --output-file etc/ceilometer/ceilometer.conf.sample \
	    --namespace ceilometer \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token
#	patch -p0 < debian/patches/default-config.patch
	cp etc/ceilometer/ceilometer.conf.sample etc/ceilometer/ceilometer.conf
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/tests/control ===
Tests: test-daemons test-python-ceilometer
Depends: python-ceilometer, ceilometer-common, ceilometer-collector, ceilometer-api, ceilometer-agent-compute, ceilometer-agent-central, ceilometer-agent-ipmi, ceilometer-agent-notification

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ceilometer ceilometer-(\d.*)\.tar\.gz
